_sql_dbcursor_s Struct Reference
Collaboration diagram for _sql_dbcursor_s:
[legend]

## Data Fields

DB * | dbp
char * | cmd
sqlite3_stmt * | pStmt
const char * | pzErrmsg
char ** | av
size_t * | avlen
int | nalloc
int | ac
int | rx
int | nr
int | nc
int | all
DBT ** | keys
int | nkeys
int | count
void * | lkey
void * | ldata
int | used

## Detailed Description

Definition at line 77 of file sqlite.c.

## Field Documentation

int _sql_dbcursor_s::ac

Definition at line 93 of file sqlite.c.

Referenced by dbg_scp(), scpResetAv(), and sql_step().

int _sql_dbcursor_s::all

Definition at line 98 of file sqlite.c.

Referenced by dbg_scp().

char** _sql_dbcursor_s::av

Definition at line 89 of file sqlite.c.

Referenced by dbg_scp(), scpFree(), scpResetAv(), and sql_step().

size_t* _sql_dbcursor_s::avlen

Definition at line 91 of file sqlite.c.

Referenced by dbg_scp(), scpFree(), scpResetAv(), and sql_step().

char* _sql_dbcursor_s::cmd

Definition at line 82 of file sqlite.c.

Referenced by scpReset(), and sql_step().

int _sql_dbcursor_s::count

Definition at line 103 of file sqlite.c.

DB* _sql_dbcursor_s::dbp

Definition at line 79 of file sqlite.c.

Referenced by scpNew().

DBT** _sql_dbcursor_s::keys

Definition at line 100 of file sqlite.c.

Referenced by scpResetKeys().

void* _sql_dbcursor_s::ldata

Definition at line 108 of file sqlite.c.

Referenced by scpNew(), and sql_cclose().

void* _sql_dbcursor_s::lkey

Definition at line 106 of file sqlite.c.

Referenced by scpNew(), and sql_cclose().

int _sql_dbcursor_s::nalloc

Definition at line 92 of file sqlite.c.

Referenced by dbg_scp(), scpResetAv(), and sql_step().

int _sql_dbcursor_s::nc

Definition at line 96 of file sqlite.c.

Referenced by dbg_scp(), scpResetAv(), and sql_step().

int _sql_dbcursor_s::nkeys

Definition at line 101 of file sqlite.c.

Referenced by scpResetKeys().

int _sql_dbcursor_s::nr

Definition at line 95 of file sqlite.c.

Referenced by dbg_scp(), scpResetAv(), and sql_step().

sqlite3_stmt* _sql_dbcursor_s::pStmt

Definition at line 84 of file sqlite.c.

Referenced by scpReset(), sql_bind_data(), sql_bind_key(), and sql_step().

const char* _sql_dbcursor_s::pzErrmsg

Definition at line 85 of file sqlite.c.

int _sql_dbcursor_s::rx

Definition at line 94 of file sqlite.c.

Referenced by dbg_scp(), and scpReset().

int _sql_dbcursor_s::used

Definition at line 110 of file sqlite.c.

Referenced by scpNew().

The documentation for this struct was generated from the following file:

- rpmdb/sqlite.c